## Package org.exist.xquery.util

Class Summary
DocUtils: Utilities for XPath doc related functions
Error: Class used to pass an error context to subordinate expressions.
ExpressionDumper
HTTPUtils: A place holder for static utility functions related to HTTP.
Messages: Reads error messages from a `ResourceBundle` and provides shorthand methods to format the error message using the message arguments passed.
RegexTranslator: This class translates XML Schema regex syntax into JDK 1.4 regex syntax.
URIUtils: Utilities for URI related functions

Exception Summary
RegexTranslator.RegexSyntaxException: Thrown when an syntactically incorrect regular expression is detected.

Copyright (C) Wolfgang Meier. All rights reserved.